Name:          simple-xml
Summary:       An XML serialization framework for Java
Version:       2.7.1
Release:       %mkrel 8
Group:         Development/Java
License:       ASL 2.0
Url:           http://simple.sourceforge.net/
Source0:       http://downloads.sourceforge.net/simple/%{name}-%{version}.tar.gz
Source1:       http://repo1.maven.org/maven2/org/simpleframework/%{name}/%{version}/%{name}-%{version}.pom

BuildRequires: java-devel
BuildRequires: javapackages-tools
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: bea-stax
BuildRequires: bea-stax-api
BuildRequires: junit
BuildRequires: xpp3

Requires:      bea-stax
Requires:      xpp3

Requires:      javapackages-tools
BuildArch:     noarch

%description
Simple is a high performance XML serialization and
configuration framework for Java. Its goal is to
provide an XML framework that enables rapid development
of XML configuration and communication systems.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
# clean up
rm -r javadoc/* test/report/*
find . -name "*.jar" -delete
find . -name "*.class" -delete

sed -i 's/\r//' LICENSE.txt
# test @ random fails
sed -i 's|haltonfailure="yes"|haltonfailure="no"|' test/build.xml

%build

%ant -Dlib.path=%{_javadir} all

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 jar/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%license LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}
%license LICENSE.txt



%changelog
* Wed Feb 24 2016 neoclust <neoclust> 2.7.1-8.mga6
+ Revision: 978170
- First rebuild of the java stack
- sync package simple-xml with fedora
- imported package simple-xml

* Tue Feb 09 2016 umeabot <umeabot> 2.7.1-5.mga6
+ Revision: 951357
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 dmorgan <dmorgan> 2.7.1-4.mga5
+ Revision: 806002
- SYnc with Fc21 2.7.1

* Fri Oct 18 2013 umeabot <umeabot> 2.6.1-4.mga4
+ Revision: 518317
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.6.1-3.mga3
+ Revision: 382049
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 dmorgan <dmorgan> 2.6.1-2.mga3
+ Revision: 323198
- Build with java7

* Thu Nov 10 2011 gil <gil> 2.6.1-1.mga2
+ Revision: 166189
- imported package simple-xml


* Sat Jan 30 2016 gil cattaneo <puntogil@libero.it> - 2.7.1-7
- rebuilt

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 11 2015 gil cattaneo <puntogil@libero.it> 2.7.1-5
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.7.1-3
- Use Requires: java-headless rebuild (#1067528)

* Wed Jan 15 2014 gil cattaneo <puntogil@libero.it> 2.7.1-2
- fix license field
- add javapackages-tools (provides jpackage-utils) references

* Fri Aug 23 2013 gil cattaneo <puntogil@libero.it> 2.7.1-1
- update to 2.7.1

* Wed May 08 2013 gil cattaneo <puntogil@libero.it> 2.7-1
- update to 2.7

* Wed Jan 23 2013 gil cattaneo <puntogil@libero.it> 2.6.9-1
- update to 2.6.9

* Sat Aug 04 2012 gil cattaneo <puntogil@libero.it> 2.6.6-1
- update to 2.6.6

* Wed Jun 27 2012 gil cattaneo <puntogil@libero.it> 2.6.4-1
- Initial import
